package com.fs.fssync.sink;

public interface CdcSinkStrategy<T> {
    /**
     * 检查是否能处理指定表的CDC数据
     */
    boolean canHandle(String table);

    /**
     * 处理CDC数据
     */
    void process(String cdcData) throws Exception;

    /**
     * 获取处理的实体类
     */
    Class<T> getEntityClass();

    /**
     * 获取Redis键前缀
     */
    String getKeyPrefix();
}
